Page 1 of 2 12 LastLast
Results 1 to 15 of 16
  1. #1
    Join Date
    Dec 2005
    Posts
    8

    Unanswered: Pervasive.SQL 9 client with Pervasive.SQL 8 Server

    Do Pervasive.SQL 9 client works with Pervasive.SQL 8 Server?
    Do Pervasive.SQL 8 client works with Pervasive.SQL 9 Server?

    Thanks

  2. #2
    Join Date
    Dec 2005
    Posts
    2
    I think Pervasive always recommends using the later client version with the older server version. So they would suggest using v9 client with v8 server.

    Thanks.

  3. #3
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    That's right. CLients and servers are matched. In addition, the PSQL v9 client can't talk to older clients because of the ODBC 3.5 changes (v9 supports it but v8 doesn't).
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

  4. #4
    Join Date
    Dec 2005
    Posts
    8
    Thank for your quick reply.
    But what mean "the PSQL v9 client can't talk to older clients".
    Client talk to server, OK. Client talk to other client?
    Thanks.

  5. #5
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    Sorry, that should be "the PSQL v9 client can't talk to older servers".
    PSQL v9 clients are using ODBC 3.5 calls but the older enginers/servers don't support ODBC 3.5 calls.
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

  6. #6
    Join Date
    Feb 2009
    Posts
    6
    Hi, sorry to up this topic but i don't understand what's the good answer !

    BudC says : "So they would suggest using v9 client with v8 server"

    you (mirtheil) say : "That's right, ... the PSQL v9 client can't talk to older servers"

    I'm lost !

    if Mirtheil is right, can i use Pervasive.SQL 9 client with Pervasive.SQL 8 Server without ODBC ?
    Last edited by tyuce; 02-27-09 at 04:52.

  7. #7
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    In versions prior to v9, Pervasive allowed newer clients to older engines. Beginning with v9, the newer client cannot connect to an older server.
    If you are using Btrieve only, the v9 client may work to a v8 server. The only question would be why. The client is included with the server. Use the client matched to your server version and everything will work properly.
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

  8. #8
    Join Date
    Feb 2009
    Posts
    6
    I want to use a a v9 client with a v8 server because i have a v8 server with v8 clients but i've a new computer with Vista. Pervasive v8 is not supported on Vista
    That's why i want to use a v9 client !

  9. #9
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    Using the information at http://www.pervasive.com/documentati...qlv9_vista.pdf, you might be able to get the v8 client working on Vista.

    For full Vista support, I would recommend upgrading to v10. V9 is going completely unsupported in July 2009 and v8 is already unsupported.
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

  10. #10
    Join Date
    Feb 2009
    Posts
    6
    I've already seen this documentation and i've understood that v9 is supported by vista (with some settings describe in this doc) but not the v8 version and prior version :

    "While Pervasive PSQL v9 will be supported with Windows Vista, prior versions of the Pervasive
    database will not be supported, including:
    Pervasive .SQL V8
    Pervasive .SQL 2000i
    Pervasive .SQL 2000
    Pervasive .SQL v7
    16-bit based applications or components"

    I can't upgrade now my pervasive server because i must change all my licence.
    And maybe a new Pervasive version will be available for windows 7 so if i change i don't want to change again for windows 7.

  11. #11
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    Just another reason to upgrade to v10. v10 is currently supported on current OSes and will be supported on Windows 7.
    Also, just because it's unsupported doesn't mean it won't work. It just means it wasn't tested and Pervasive won't spend any time on it. Try it, it might work.
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

  12. #12
    Join Date
    Feb 2009
    Posts
    6
    I've installed a v8 on vista and it's seems to work but i don't know how to test more.

  13. #13
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    Quote Originally Posted by tyuce
    I've installed a v8 on vista and it's seems to work but i don't know how to test more.
    Try the things your users do. Test the same things you test on XP. Run your application.
    That's about all I can suggest.
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

  14. #14
    Join Date
    Feb 2009
    Posts
    6
    I test my application on vista and it's seems to work like xp but ...
    Since a week Pervasive v8 is working on 1 vista and 10 Xp and some btrieve file have a btrieve error 2 (too many record error). Some index are destroy and i don't know if this error come from the vista computer (i've actived trace try to see if the vista is the problem)
    It's strange because some day all work fine, all file are good and sometimes some file are corrupted

  15. #15
    Join Date
    Dec 2001
    Posts
    1,109
    Provided Answers: 4
    A status 2 is a "File I/O error" and occurs at the engine level. It would not be caused by the OS on the client unless there's a problem with the network.
    Mirtheil Software
    Certified Pervasive Developer
    Certified Pervasive Technician
    Custom Btrieve/VB development
    http://www.mirtheil.com
    I do not answer questions by email. Please post on the forum.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •